/**
 * @brief           leds management
 * @file            leds.h
 * @author          <a href=""DOM-IP</a>
 * @dependencies    none
 * @compiler        MPLAB C18 v2.10 or higher <br>
 *                  HITECH PICC-18 V8.35PL3 or higher
 *
 * @section description Description
 **********************************
 * This module contains functions used for the leds management of evaluation boards
 *
 *********************************************************************/

 /*********************************************************************
 * Software License Agreement
 *
 * The software supplied herewith is owned by Dom-IP, and is
 * protected under applicable copyright laws.  The code may
 * be modified and can be used free of charge for commercial and non commercial
 * applications. All rights are reserved. Any use in violation of the foregoing
 * restrictions may subject the user to criminal sanctions under applicable laws,
 * as well as to civil liability for the breach of the terms and conditions of this license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN 'AS IS' CONDITION. NO WARRANTIES, WHETHER EXPRESS,
 * IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE
 * COMPANY SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 **********************************************************************
 * File History
 *
 * 2009-06-01, Dom-IP
 *    - Initial version
 *********************************************************************/

#ifndef LEDS_H
#define LEDS_H
#include "net\compiler.h"

#define CLEAR_LEDS SetLeds(0);
#define STANDBY_LED	1
#define DNS_LED	2
#define TELEINFO1_LED	4
#define TELEINFO2_LED	8
#define HTTP_LED	16

extern BYTE ledStatus;  			// variable used to store led state
/**
 * Set the status of the 8 Leds
 *
 * @param delay     Delay in seconds
 */
void SetLeds(BYTE state);
void ClearLeds(BYTE state);

#endif
